#!/bin/sh

PACKAGES="klibc-utils libc6 mountall libc6-dev gcc g++ binutils"
# perl perlapi perl-base perl-modules"

# Make sure equivs is installed
if [ ! -x "/usr/bin/equivs-build" ]; then
	echo "Could not find '/usr/bin/equivs-build'"
	echo "Please install equivs. Aborting..."
	exit 1
fi

# Check if the arch is supported
dpkg-architecture -aaarch64
if [ $? -ne 0 ]; then
	echo "Architecture tools support not installed. Check 'dpkg-dev' version. "
	echo "Aborting..."
	exit 1
fi

for i in $PACKAGES; do
	echo "Processing : $i"
	equivs-build --arch aarch64 $i
done
